## Apache Zeta Components Manual :: Docs For Class ezcMvcRequestFilter

### MvcTools::ezcMvcRequestFilter

### Interface ezcMvcRequestFilter

A request filter is responsible for altering the request object.

Source for this file: /MvcTools/src/interfaces/request_filter.php

Version: | //autogentag//

### Method Summary

public void | `filterRequest( $request )` Alters the request object.
public void | `setOptions( $options )` Sets options on the filter object

### Methods

#### filterRequest

void filterRequest( ezcMvcRequest $request )

Alters the request object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$request` | ezcMvcRequest | Request object to alter.

#### setOptions

void setOptions( $options )

Sets options on the filter object

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array |

##### Exceptions:

Type | Description
--- | ---
`ezcMvcFilterHasNoOptionsException` | if the filter does not support options.

Documentation generated by phpDocumentor 1.4.3